HanMacWrdJGraphInternal::TextboxFrame Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdJGraphInternal::TextboxFrame Struct Referencefinal

Internal: the textbox frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::TextboxFrame:

## Public Member Functions
| TextboxFrame (Frame const &orig)
| constructor More...
| ~TextboxFrame () final
| destructor More...
bool | valid () const final
| returns true if the frame data are read More...
bool | isLinked () const
| returns true if the box is linked to other textbox More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor More...
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
long | m_zId
| the text id More...
double | m_width
| the zone width More...
long | m_cPos
| the first char pos More...
long | m_linkToFId
| the next link zone More...
bool | m_isLinked
| true if this zone is linked More...
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_formatId
| the format id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
bool | m_inGroup
| true if this node is a group's child More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Detailed Description

Internal: the textbox frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ TextboxFrame()

HanMacWrdJGraphInternal::TextboxFrame::TextboxFrame | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~TextboxFrame()

HanMacWrdJGraphInternal::TextboxFrame::~TextboxFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isLinked()

bool HanMacWrdJGraphInternal::TextboxFrame::isLinked | ( |  | ) | const
| inline

returns true if the box is linked to other textbox

Referenced by HanMacWrdJGraph::sendGroupChild().

## ◆ print()

std::string HanMacWrdJGraphInternal::TextboxFrame::print | ( |  | ) | const
| inline

print local data

## ◆ valid()

bool HanMacWrdJGraphInternal::TextboxFrame::valid | ( |  | ) | const
| inlinefinalvirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

## Member Data Documentation

## ◆ m_cPos

long HanMacWrdJGraphInternal::TextboxFrame::m_cPos

the first char pos

Referenced by print().

## ◆ m_isLinked

bool HanMacWrdJGraphInternal::TextboxFrame::m_isLinked

true if this zone is linked

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_linkToFId

long HanMacWrdJGraphInternal::TextboxFrame::m_linkToFId

the next link zone

Referenced by isLinked(), HanMacWrdJGraph::prepareStructures(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_width

double HanMacWrdJGraphInternal::TextboxFrame::m_width

the zone width

Referenced by print().

## ◆ m_zId

long HanMacWrdJGraphInternal::TextboxFrame::m_zId

the text id

Referenced by HanMacWrdJGraph::getTextFrameInformations(), print(), and HanMacWrdJGraph::sendTextbox().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx